USE Resources02_Def
GO

IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=1)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (1, 1, N'Degressive 10%')
IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=2)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (2, 2, N'Degressive Duration of Contract')
IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=3)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (3, 4, N'Linear 20%')
IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=4)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (4, 5, N'Linear 25%')
IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=5)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (5, 8, N'No Depreciation')
IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=6)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (6, 6, N'Linear 10% / Straight Line 10-Year')
IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=7)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (7, 3, N'Degressive 40%')
IF NOT EXISTS ( SELECT * FROM [dbo].[tblDepreciationScheme]  WHERE nID=8)
	INSERT [dbo].[tblDepreciationScheme] ([nID], [nChoiceID], [tName]) VALUES (8, 7, N'Linear 33% / Straight Line 3-Year')
GO

